Skip to main content

Get org conversation stats

GET /api/organizations/{org_id}/conversations/stats

Get aggregated statistics for organization conversations. Returns counts of active conversations, running runtimes, completed conversations, and aggregated cost/token usage for the organization. Access Control: Requires VIEW_ORG_CONVERSATIONS permission (Admin or Owner role). Returns: OrgConversationStats: Aggregated statistics for the org

Parameters​

NameInTypeRequiredDescription
org_idpath`stringnull`yes
X-Org-Idheader`stringnull`no

Responses​

StatusDescription
200Successful Response
422Validation Error

Response body​

FieldTypeRequiredDescription
active_conversationsintegerno—
running_runtimesintegerno—
completed_24hintegerno—
completed_7dintegerno—
completed_30dintegerno—
total_costnumberno—
total_prompt_tokensintegerno—
total_completion_tokensintegerno—
total_tokensintegerno—

Operation ID: get_org_conversation_stats_api_organizations__org_id__conversations_stats_get